List customers
Returns a paginated list of your customers, sorted by creation date by default. Supports filters, order, limit, offset, and fields to refine the response.
Parameters
Header Parameters
[Authentication] Required API key.
"^[a-zA-Z0-9-]{20,64}$"Query Parameters
Subset of customer fields to return. Comma-separated string or repeated query parameter.
"customer_id""shop_id""email""phone_number""first_name""last_name""birth_date""is_opt_in""is_newsletter_subscribed""lang""group_ids""is_active""created_at""updated_at"Maximum number of records to return
10Number of records to skip
0Sorting criteria, array of objects with field and type properties
{
"field": "created_at",
"type": "desc"
}Filter criteria, array of objects with field, operator and values properties.
Available operators: EQUALS, NOT_EQUALS, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, LESS_THAN, LESS_THAN_OR_EQUAL_TO, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, IN, NOT_IN, LIKE, BETWEEN, NOT_BETWEEN
{
"field": "status",
"operator": "EQUALS",
"values": "active"
}Responses
Paginated listing response.
List customers Returns a paginated list of your customers, sorted by creation date by default. Supports filters, order, limit, offset, and fields to refine the response. GET /v1/customers listCustomers Customers spm-api-key [Authentication] Required API key. fields Subset of customer fields to return. Comma-separated string or repeated query parameter. limit Maximum number of records to return offset Number of records to skip order Sorting criteria, array of objects with field and type properties filters Filter criteria, array of objects with field, operator and values properties. Available operators: EQUALS, NOT_EQUALS, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, LESS_THAN, LESS_THAN_OR_EQUAL_TO, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, IN, NOT_IN, LIKE, BETWEEN, NOT_BETWEEN Paginated listing response. Client error - Invalid request or authentication issues Server error - Internal processing failure